SDK Question Can someone please post the old Sketchpad2.h file?

SpaceBoy2

Member
Joined
Jan 29, 2022
Messages
40
Reaction score
5
Points
23
Location
India
Well, what the title says. I was trying to build SSU and it needs it
 

SpaceBoy2

Member
Joined
Jan 29, 2022
Messages
40
Reaction score
5
Points
23
Location
India
Well I'm not exactly sure. I meant Sketchpad2 is not in use anymore right? And now it uses DrawApI? I'm not really into what this all is but I just want the Sketchpad 2 file.
Thank you
 

jedidia

shoemaker without legs
Addon Developer
Joined
Mar 19, 2008
Messages
10,393
Reaction score
1,637
Points
203
Location
between the planets
I meant Sketchpad2 is not in use anymore right?
It isn't? Even if there was a successor (which is news to me), the old interface should still be in there for backwards compatibility. Look in your orbiter folder under orbitersdk/include, Sketchpad2.h should be there.
 

llarian

Well-known member
Joined
Apr 1, 2009
Messages
540
Reaction score
128
Points
58
Location
Ottawa
In my origianl installation of Orbiter 2016 in Orbitersdk\include\ I have a copy of Sketchpad2.h. If you want me to send you a copy just PM me.
 

SpaceBoy2

Member
Joined
Jan 29, 2022
Messages
40
Reaction score
5
Points
23
Location
India
Oh I see. But I don't have it. I'm using OpenOrbiter I built myself. I thought it was replaced by something else I have in the include folder. Thanks for the information
 

jedidia

shoemaker without legs
Addon Developer
Joined
Mar 19, 2008
Messages
10,393
Reaction score
1,637
Points
203
Location
between the planets
Indeed, you seem correct. The file is not included in the OpenOrbiter repository. It seems to have been replaced with DrawAPI, presumably because the D3D9 client is planned to be shipped by default. I can still see the sketchpad class in that file, but don't have the original code handy just now to do a diff. You might get away with just including DrawAPI.h instead of sketchpad2.h? Not sure at all. It seems kind of a bad move for backwards compatibility, but somebody that knows more about the current state of the source and the reasons for the decision than me will have to explain it...
 

jarmonik

Well-known member
Orbiter Contributor
Addon Developer
Beta Tester
Joined
Mar 28, 2008
Messages
2,443
Reaction score
527
Points
113
Website
users.kymp.net
I wasn't aware of that. It looks like the Sketchpad2 extension has been integrated to the base class "Sketchpad" in DrawAPI.h. I have no memory of doing that, so, it's possible that Martin has decided that it's time to integrate it, which is fine by me. I still need to check few things like an ability to run existing binaries. From the code compatibility point of view a few minor code changes may be required to compile add-ons for the OpenOrbiter. Using the old Sketchpad2.h would probably not work in this case.
 

SpaceBoy2

Member
Joined
Jan 29, 2022
Messages
40
Reaction score
5
Points
23
Location
India
@jarmonik yes the integration happened quite a while ago.
"Sketchpad2.h would probably not work": I feared as much. SSU building is already having some trouble with gcConst.h
 
Top